Kubernetes
probe Event

# Fetch Kubernetes Events

Retrieve Kubernetes events across all namespaces

Run it now
View details

Type | probe
Module | chaosk8s.event.probes
Name | get_events
Return | list

Usage

JSON

    {
      "name": "get-events",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.event.probes",
        "func": "get_events"
      }
    }

YAML

    name: get-events
    provider:
      func: get_events
      module: chaosk8s.event.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description | Placeholder
--- | --- | --- | --- | --- | --- | ---
label_selector | string |  | No | Label Selector | Reduce the returned list of events to the matching selector |
field_selector | string |  | No | Field Selector | Reduce the returned list of events to the matching selector | regarding.kind=Pod,regarding.name=my-pod
limit | integer | 100 | No | Limit | Limit to that number of events |

Retrieve Kubernetes events across all namespaces. If a `label_selector` is set, filter to that selector only.

Signature

    def get_events(label_selector: str = None,
                   limit: int = 100,
                   configuration: Dict[str, Dict[str, str]] = None,
                   secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  probe Node

  ## `all_nodes_must_be_ready_to_schedule`

  Verifies that all nodes in the cluster are in Ready condition and can be scheduled.
- Kubernetes
  action Pod

  ## `exec_in_pods`

  Execute a command in the specified pod's container
- Kubernetes
  action Network

  ## `allow_dns_access`

  Allow DNS access from pods